Loading...
Searching...
No Matches
TypeConvTraits< T > Struct Template Reference

`#include <PycArrayComCC.h>`

## Public Types

typedef T | casa_type
typedef void * | python_type

## Static Public Member Functions

static NPY_TYPES | pyType ()

## Detailed Description

template<typename T>
struct TypeConvTraits< T >

Definition at line 65 of file PycArrayComCC.h.

## Member Typedef Documentation

## casa_type

template<typename T>

typedef T TypeConvTraits< T >::casa_type

Definition at line 66 of file PycArrayComCC.h.

## python_type

template<typename T>

typedef void* TypeConvTraits< T >::python_type

Definition at line 67 of file PycArrayComCC.h.

## Member Function Documentation

## pyType()

template<typename T>

NPY_TYPES TypeConvTraits< T >::pyType | ( |  | ) |

inline static

Definition at line 68 of file PycArrayComCC.h.

The documentation for this struct was generated from the following file:

- python/Converters/PycArrayComCC.h